Package com.omnisci.thrift.server

## Enum OmniSci.clone_session_result._Fields

- java.lang.Object
- - java.lang.Enum<OmniSci.clone_session_result._Fields>
  - - com.omnisci.thrift.server.OmniSci.clone_session_result._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<OmniSci.clone_session_result._Fields>`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  OmniSci.clone_session_result

    public static enum OmniSci.clone_session_result._Fields
    extends Enum<OmniSci.clone_session_result._Fields>
    implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Enum Constant Summary

Enum Constants
`E`
`SUCCESS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static OmniSci.clone_session_result._Fields` `findByName​(String name)` Find the _Fields constant that matches name, or null if its not found.
`static OmniSci.clone_session_result._Fields` `findByThriftId​(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static OmniSci.clone_session_result._Fields` `findByThriftIdOrThrow​(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String` `getFieldName()`
`short` `getThriftFieldId()`
`static OmniSci.clone_session_result._Fields` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static OmniSci.clone_session_result._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SUCCESS

    public static final OmniSci.clone_session_result._Fields SUCCESS

#### E

    public static final OmniSci.clone_session_result._Fields E

### Method Detail

#### values

    public static OmniSci.clone_session_result._Fields[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OmniSci.clone_session_result._Fields c : OmniSci.clone_session_result._Fields.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OmniSci.clone_session_result._Fields valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### findByThriftId

    public static OmniSci.clone_session_result._Fields findByThriftId​(int fieldId)

Find the _Fields constant that matches fieldId, or null if its not found.

#### findByThriftIdOrThrow

    public static OmniSci.clone_session_result._Fields findByThriftIdOrThrow​(int fieldId)

Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

#### findByName

    public static OmniSci.clone_session_result._Fields findByName​(String name)

Find the _Fields constant that matches name, or null if its not found.

#### getThriftFieldId

    public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

#### getFieldName

    public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`